@font-face {
    font-family: "{{ name }}";
    src: {{{ fontSrc }}};
    font-display: swap;
}

{{# if selector }}
{{ selector }}:before {
{{ else }}
{{ tag }}[class^="{{prefix}}-"]:before, {{ tag }}[class*=" {{prefix}}-"]:before {
{{/ if }}
    font-family: {{ name }} !important;
    font-style: normal;
    font-weight: normal !important;
    font-variant: normal;
    text-transform: none;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    display: inherit;
}

{{# each codepoints }}
{{# if ../selector }}
{{ ../selector }}.{{ ../prefix }}-{{ @key }}:before {
{{ else }}
{{ tag }}.{{ ../prefix }}-{{ @key }}:before {
{{/ if }}
    content: "\\{{ codepoint this }}";
}
{{/ each }}
